@import "@/styles/variables";

.select {
    &-container {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        position: relative;
        z-index: 5;
    }

    &-dropdown {
        &-label {
            position: absolute;
            top: 0.5rem;
            left: 3.6rem;
            color: $gray-600;
            transition: all 0.05s ease-in-out;

            @include label-1;
        }

        .dropdown-button {
            @include input-1;

            width: 100%;
            height: 58px;
            color: $gray-600;
            gap: 0.75rem;
            justify-content: start;
            padding-top: 1.75rem;
            padding-left: 3.5rem;

            &:active,
            &:focus,
            &:focus-visible {
                color: $gray-800;
                background-color: $white;
            }

            &__label-hidden {
                padding-top: 0.75rem !important;
            }

            &__error {
                border: 1px solid $color-error;
            }

            &__with-value {
                color: $gray-900;
            }

            span:first-child {
                width: 1.5rem;
                aspect-ratio: 1;
                position: absolute;
                top: 1.25rem;
                left: 18px;
            }

            span:last-child {
                position: absolute;
                right: 1rem;
                top: 1.75rem;
                transform: translateY(-50%);
                color: $gray-600;
            }
        }
    }

    &-listbox {
        @include caption-3;
        @include col;

        gap: 0.25rem;
        list-style: none;
        margin-top: 0.5rem;
        padding: 0.5rem;
        width: 100%;
        border-radius: $border-radius;
        background-color: $white;

        li {
            padding: 6px 8px;
            border-radius: $border-radius;

            &:hover {
                background-color: $gray-200;
            }
        }
    }
}

.error {
    @include error-message;

    padding-left: 1rem;
}
